import React from 'react';
import SvgIcon from 'material-ui/SvgIcon';

const SystemNotificationsIcon = (props) => (
  <SvgIcon {...props}>
    <svg x="0px" y="0px" viewBox="0 0 50 56">
      <g id="Page-1" fill="none" fill-rule="evenodd">
        <g id="004---messgae" fill="rgb(0,0,0)" fill-rule="nonzero">
          <path id="Shape"
                d="m15.071 50c.4946494 3.4465051 3.4471793 6.0055358 6.929 6.0055358s6.4343506-2.5590307 6.929-6.0055358z"/>
          <circle id="Oval" cx="36" cy="14" r="1"/>
          <circle id="Oval" cx="28" cy="14" r="1"/>
          <path id="Shape"
                d="m22 5c.255 0 .506.018.76.029.8981308-1.31757913 1.9870159-2.49442434 3.231-3.492-1.0925353-.99141856-2.5156906-1.53949914-3.991-1.537-3.3123376.00330738-5.9966926 2.68766243-6 6v.049c1.9252772-.69028007 3.9547216-1.0450946 6-1.049z"/>
          <path id="Shape"
                d="m36 0c-7.7285595.00826732-13.9917327 6.27144053-14 14-.0110419 2.9981642.9515362 5.9188852 2.743 8.323.2003764.2697844.2518451.6221758.137.938l-2.23 6.139 7.364-2.46c.2287266-.0757516.4769988-.0672395.7.024 1.6770989.6883475 3.4731393 1.0403524 5.286 1.036 7.7319864-.0000002 13.9999997-6.2680136 13.9999997-14 0-7.73198638-6.2680133-13.99999984-13.9999997-14zm-8 17c-1.6568542 0-3-1.3431458-3-3s1.3431458-3 3-3 3 1.3431458 3 3-1.3431458 3-3 3zm8 0c-1.6568542 0-3-1.3431458-3-3s1.3431458-3 3-3 3 1.3431458 3 3-1.3431458 3-3 3zm8 0c-1.6568542 0-3-1.3431458-3-3s1.3431458-3 3-3 3 1.3431458 3 3-1.3431458 3-3 3z"/>
          <circle id="Oval" cx="44" cy="14" r="1"/>
          <path id="Shape"
                d="m38 34v-4.139c-2.6021018.3498145-5.2504014.0378655-7.7-.907l-7.024 2.346c-.2046572.0668928-.4186891.1006518-.634.1-.6523764-.0023488-1.2626066-.3227303-1.634983-.8583947s-.4600925-1.2192806-.235017-1.8316053l2.048-5.637c-3.2738545-4.740966-3.7305054-10.8808944-1.194-16.054-8.6805041.2082518-15.61276959 7.2980083-15.626 15.981v11c-.2737069 4.5936874-2.14912323 8.9460687-5.3 12.3-.28454877.3027555-.35910392.7469307-.189 1.126.15242029.3596872.50948931.5894016.9.579h41.179c.3905107.0104016.7475797-.2193128.9-.579.1700945-.3803826.0947513-.8257357-.191-1.129-3.1503014-3.3530143-5.0253801-7.7043715-5.299-12.297zm-29 12h-4c-.55228475 0-1-.4477153-1-1s.44771525-1 1-1h4c.55228475 0 1 .4477153 1 1s-.44771525 1-1 1zm0-22c-.55228475 0-1-.4477153-1-1-.0065679-4.253626 1.92931921-8.2774872 5.257-10.927.2779125-.2315358.6591983-.2949398.9970866-.1658055s.5796999.4306739.6323526.7885451c.0526527.3578713-.0920624.7162796-.3784392.9372604-2.852681 2.2713418-4.51264999 5.7205276-4.508 9.367 0 .2652165-.10535684.5195704-.29289322.7071068s-.44189029.2928932-.70710678.2928932zm30 22h-26c-.5522847 0-1-.4477153-1-1s.4477153-1 1-1h26c.5522847 0 1 .4477153 1 1s-.4477153 1-1 1z"/>
        </g>
      </g>
    </svg>
  </SvgIcon>
);

export default SystemNotificationsIcon;
